Bug 13210 - No idmap backends included
: No idmap backends included
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-24 12:54 by
Modified: 2007-11-16 11:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-24 12:54:10
There is no idmap backends included in /usr/lib/samba/idmap

I've configured samba to use rid idmap backend like this:

======== part of smb.conf ================================
idmap domains = ALLDOMAINS
idmap config ALLDOMAINS:backend      = rid
idmap config ALLDOMAINS:default      = yes
idmap config ALLDOMAINS:baserid      = 1000
idmap config ALLDOMAINS:range        = 10000 - 60000
==========================================================

and this is result of command wbinfo --alocate-uid (wbinfo -g and wbinfo -u 
works just fine):

[2007/10/24 12:52:49, 4] nsswitch/winbindd_dual.c:fork_domain_child(1054)
  child daemon request 28
[2007/10/24 12:52:49, 10] nsswitch/winbindd_dual.c:child_process_request(479)
  process_request: request fn ALLOCATE_UID
[2007/10/24 12:52:49, 10] nsswitch/idmap_cache.c:idmap_cache_init(60)
  Opening cache file at /var/lib/samba/idmap_cache.tdb
[2007/10/24 12:52:49, 5] nsswitch/idmap.c:smb_register_idmap_alloc(216)
  Successfully added idmap alloc backend 'ldap'
[2007/10/24 12:52:49, 5] nsswitch/idmap.c:smb_register_idmap(163)
  Successfully added idmap backend 'ldap'
[2007/10/24 12:52:49, 5] nsswitch/idmap.c:smb_register_idmap_alloc(216)
  Successfully added idmap alloc backend 'tdb'
[2007/10/24 12:52:49, 5] nsswitch/idmap.c:smb_register_idmap(163)
  Successfully added idmap backend 'tdb'
[2007/10/24 12:52:49, 5] nsswitch/idmap.c:smb_register_idmap(163)
  Successfully added idmap backend 'passdb'
[2007/10/24 12:52:49, 5] nsswitch/idmap.c:smb_register_idmap(163)
  Successfully added idmap backend 'nss'
[2007/10/24 12:52:49, 1] nsswitch/idmap.c:idmap_init(365)
  Initializing idmap domains
[2007/10/24 12:52:49, 5] lib/module.c:smb_probe_module(108)
  Probing module 'rid'
[2007/10/24 12:52:49, 5] lib/module.c:smb_probe_module(119)
  Probing module 'rid': Trying to load from /usr/lib/samba/idmap/rid.so
[2007/10/24 12:52:49, 3] lib/module.c:do_smb_load_module(49)
  Error loading 
module '/usr/lib/samba/idmap/rid.so': /usr/lib/samba/idmap/rid.so: cannot open 
shared object file: No such file or directory
[2007/10/24 12:52:49, 0] nsswitch/idmap.c:idmap_init(443)
  ERROR: Could not get methods for backend rid
[2007/10/24 12:52:49, 0] nsswitch/idmap.c:idmap_init(713)
  Aborting IDMAP Initialization ...
[2007/10/24 12:52:49, 10] nsswitch/winbindd_cache.c:cache_store_response(2260)
  Storing response for pid 5531, len 3240

Steps to Reproduce:
1. configure samba as AD domain member and any idmap backend
2. wbinfo --allocate-uid

Actual Results:  
string "ERROR: Could not get methods for backend rid" in logs

Expected Results:  
new allocated uid
------- Comment #1 From 2007-11-11 21:10:49 -------
My error, idmap_ad and idmap_rid aren't activated and built by default. Will be
fixed in 3.0.26a-alt2
------- Comment #2 From 2007-11-16 10:04:38 -------
* Sun Nov 11 2007 Alexander Bokovoy <ab@altlinux> 3.0.26a-alt2   
- Use git to handle the package
  + Fix #13210 (and a number of similar unreported bugs), now
    all pdb, auth, rpc, and idmap are included into samba-common
------- Comment #3 From 2007-11-16 11:58:44 -------
Fixed in 3.0.27-alt1